Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

fltk-devel-static-1.3.4-lp152.5.3.1 RPM for aarch64

From OpenSuSE Ports Leap 15.2 updates for aarch64

Name: fltk-devel-static Distribution: openSUSE Leap 15.2
Version: 1.3.4 Vendor: openSUSE
Release: lp152.5.3.1 Build date: Fri Jun 4 10:14:43 2021
Group: Development/Libraries/C and C++ Build host: obs-arm-9
Size: 14965144 Source RPM: fltk-1.3.4-lp152.5.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.fltk.org/
Summary: Static libraries for the FLTK GUI toolkit
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a C++
graphical user interface toolkit for the X Window System,
OpenGL, and Microsoft Windows NT 4.0, 95, or 98. The
installation of this package requires a 3D library such as Mesa.

Provides

Requires

License

LGPL-2.1+

Changelog

* Fri Apr 23 2021 Matthias Gerstner <matthias.gerstner@suse.com>
  - explicitly pass -fPIC and -pie via CFLAGS and LDFLAGS to make /usr/bin/fluid
    an position-independent executable. fltk by default passed -fPIC but not
    - pie, which breaks our gcc-PIE profile. (bsc#1184122).
* Mon Jan 29 2018 pgajdos@suse.com
  - added xcursor dependency [bsc#1077881]
* Tue Jul 25 2017 jengelh@inai.de
  - Trim description, drop TM/R marks according to guidelines.
* Mon Jul 17 2017 tchvatal@suse.com
  - Drop patch fltk-1.3.2-do_not_add_unneeded_extra_dependencies.patch
    as upstream closed the ticked stating it is wrong
  - Add patch fltk-1.3.4-fltk_config.patch
* Thu Feb 09 2017 dimstar@opensuse.org
  - Explicitly package %{_docdir}/fltk-devel in order to fix build
    with RPM 4.13.0.
* Mon Nov 21 2016 pgajdos@suse.com
  - updated to 1.3.4: see CHANGES
  - remove fltk-1.3.3-do-not-use-internal-ABI.patch (upstreamed)
* Mon Jan 26 2015 dimstar@opensuse.org
  - Add fltk-1.3.3-do-not-use-internal-ABI.patch: do not use internal
    function Fl_XFont_On_Demand::value(), which changes ABI based on
    the configuration. Add a fl_core_font() getter for the same.
* Tue Jan 13 2015 p.drouand@gmail.com
  - Update to version 1.3.3
    +Very much changes; please have a look on CHANGES file
  - Remove fltk-1.3.2-underlinking.patch; merged upstream
* Sat Oct 25 2014 crrodriguez@opensuse.org
  - Correct -devel package dependencies
    * /usr/include/FL/x*.H needs x11 headers
    * /usr/include/FL/gl*.H needs gl headers.
* Tue Mar 05 2013 jw@suse.com
  - added a fltk-devel-static subpackage to transport libfltk*.a
    as needed by Documentation:Tools/flpsed.

Files

/usr/lib64/libfltk.a
/usr/lib64/libfltk_forms.a
/usr/lib64/libfltk_gl.a
/usr/lib64/libfltk_images.a


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Dec 2 23:36:37 2021